#### D.12.5.4 generalOrder

Procedure from library `weierstr.lib` (see weierstr_lib).

Usage:
  generalOrder(f); f=poly

Return:
  integer b if f is general of order b w.r.t. the last variable, say T, resp. -1 if not
  (i.e. f(0,...,0,T) is of order b, resp. f(0,...,0,T)==0)

Note:
  the procedure works for any monomial ordering

Example:

    LIB "weierstr.lib";
    ring R = 0,(x,y),ds;
    poly f = x2-4xy+4y2-2xy2+4y3+y4;
    generalOrder(f);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.